PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package mount
  Definition Classes
    serverobject
- LargeCargo
- MaxOnly
- MountInfo
- MountRestriction
- Mountable
- MountableBehavior
- MountableDefinition
- MountableSpace
- MountableSpaceDefinition
- NoMax
- NoReinforcedOrMax
- Seat
- SeatDefinition
- SmallCargo
- Unrestricted

t

net.psforever.objects.serverobject.mount

# MountableSpaceDefinition

###

#### trait MountableSpaceDefinition[A] extends BasicDefinition

Source
  MountableSpaceDefinition.scala

Linear Supertypes
BasicDefinition, AnyRef, Any
Known Subclasses
CargoDefinition, SeatDefinition

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MountableSpaceDefinition
2. BasicDefinition
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def bailable: Boolean
2.  abstract def occupancy: Int
3.  abstract def restriction: MountRestriction[A]

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Descriptor: String
   Definition Classes
     BasicDefinition
5.  def Descriptor_=(description: Option[String]): String
   Definition Classes
     BasicDefinition
6.  def Descriptor_=(description: String): String
   Definition Classes
     BasicDefinition
7.  def Name: String
   Definition Classes
     BasicDefinition
8.  def Name_=(name: String): String
   Definition Classes
     BasicDefinition
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
14.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  def toString(): String
    Definition Classes
      AnyRef → Any
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from BasicDefinition

### Inherited from AnyRef

### Inherited from Any

### Ungrouped